"use strict";

{
	C3.Behaviors.wackytoasterSavestate.Acts =
	{
		
		saveState(id) {
			let wi = this._inst.GetWorldInfo();
			let map = this._inst.GetSavedDataMap();
			
			let data = {
				"x": wi.GetX(),
				"y": wi.GetY(),
				"w": wi.GetWidth(),
				"h": wi.GetHeight(),
				"a": C3.toDegrees(wi.GetAngle()),
				"o": wi.GetOpacity()
			}
			
			map.set(id.toString(), data);
			
			//console.log("map set", map);
			
		},
		
		saveParticularState(id, x, y, w, h, a, o) {
			let wi = this._inst.GetWorldInfo();
			let map = this._inst.GetSavedDataMap();
			
			let data = {
				"x": x,
				"y": y,
				"w": w,
				"h": h,
				"a": a,
				"o": o
			}
			
			map.set(id.toString(), data);
			
		},
		
		loadState(id) {
			let wi = this._inst.GetWorldInfo();
			let data = this._inst.GetSavedDataMap().get(id);
			if (data == undefined) return;
			
			//console.log("map load", data);
			
			if (typeof data["x"] != "string") wi.SetX(data["x"]);
			if (typeof data["y"] != "string") wi.SetY(data["y"]);
			if (typeof data["w"] != "string") wi.SetWidth(data["w"]);
			if (typeof data["h"] != "string") wi.SetHeight(data["h"]);
			if (typeof data["a"] != "string") wi.SetAngle(C3.toRadians(data["a"]));
			if (typeof data["o"] != "string") wi.SetOpacity(data["o"]);
			
			wi.SetBboxChanged();
			
		}
	};
}